goog.provide('cljs.nodejs');
goog.require('cljs.core');
cljs.nodejs.require = require;
cljs.nodejs.process = process;
cljs.nodejs.enable_util_print_BANG_ = (function cljs$nodejs$enable_util_print_BANG_(){
cljs.core._STAR_print_newline_STAR_ = false;

cljs.core._STAR_print_fn_STAR_ = (function() { 
var G__20599__delegate = function (args){
return console.log.apply(console,cljs.core.into_array.call(null,args));
};
var G__20599 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__20600__i = 0, G__20600__a = new Array(arguments.length -  0);
while (G__20600__i < G__20600__a.length) {G__20600__a[G__20600__i] = arguments[G__20600__i + 0]; ++G__20600__i;}
  args = new cljs.core.IndexedSeq(G__20600__a,0);
} 
return G__20599__delegate.call(this,args);};
G__20599.cljs$lang$maxFixedArity = 0;
G__20599.cljs$lang$applyTo = (function (arglist__20601){
var args = cljs.core.seq(arglist__20601);
return G__20599__delegate(args);
});
G__20599.cljs$core$IFn$_invoke$arity$variadic = G__20599__delegate;
return G__20599;
})()
;

cljs.core._STAR_print_err_fn_STAR_ = (function() { 
var G__20602__delegate = function (args){
return console.error.apply(console,cljs.core.into_array.call(null,args));
};
var G__20602 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__20603__i = 0, G__20603__a = new Array(arguments.length -  0);
while (G__20603__i < G__20603__a.length) {G__20603__a[G__20603__i] = arguments[G__20603__i + 0]; ++G__20603__i;}
  args = new cljs.core.IndexedSeq(G__20603__a,0);
} 
return G__20602__delegate.call(this,args);};
G__20602.cljs$lang$maxFixedArity = 0;
G__20602.cljs$lang$applyTo = (function (arglist__20604){
var args = cljs.core.seq(arglist__20604);
return G__20602__delegate(args);
});
G__20602.cljs$core$IFn$_invoke$arity$variadic = G__20602__delegate;
return G__20602;
})()
;

return null;
});
